Skip to content

Framework Details

GET
/serving/inference/framework-details/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/framework-details/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns all available inference frameworks and their versions. Use the version id from the response as framework_version_id when calling the SKU List API.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successfully retrieved framework details.

Media typeapplication/json
object
code
integer
data
Array<object>
object
name

Framework identifier

string
display_name

Display name of the framework

string
description

Brief description of the framework

string
image_name

Container image name

string
additional_info

Additional framework-specific information

object
is_managed_args

Whether the framework uses managed arguments

boolean
versions

Available versions for this framework

Array<object>
object
id

Version ID. Use this as framework_version_id in the SKU List API.

integer
version

Version string

string
supported_models

List of models supported by this version

Array<object>
object
id

Model identifier (Hugging Face ID or “custom”)

string
label

Display label for the model

string
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": [
{
"name": "vllm",
"display_name": "vLLM",
"description": "vLLM is a fast and easy-to-use library for LLM inference and serving.",
"image_name": "registry.e2enetworks.net/aimle2e/vllm",
"is_managed_args": true,
"versions": [
{
"id": 64,
"version": "v0.17.1",
"supported_models": [
{
"id": "meta-llama/Llama-2-7b-hf",
"label": "Llama-2-7B"
}
]
}
]
}
],
"message": "Success"
}